/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.read;

import java.io.*;
import java.util.*;
import amberstone.summary.*;

public class Blocks
{
	public int count(String rootDir, int startYYYYMMDD, int endYYYYMMDD, int startBlock)
	{
		int num = 0;

		File root = new File(rootDir);

		File[] years = root.listFiles();
		for(int y=0; y<years.length; y++)
		{
			int year = Integer.parseInt(years[y].getName());

			File[] months = years[y].listFiles();
			for(int m=0; m<months.length; m++)
			{
				int month = Integer.parseInt(months[m].getName());
				File[] days = months[m].listFiles();

				for(int d=0; d<days.length; d++)
				{
					int day = Integer.parseInt(days[d].getName());

					int YYYYMMDD = (year*10000)+(month*100)+day;

					if(YYYYMMDD >= startYYYYMMDD && YYYYMMDD <= endYYYYMMDD)
					{
						File[] blocks = days[d].listFiles();

						int s = 0;
						if(YYYYMMDD == startYYYYMMDD)
						{
							if(startBlock > 0)
							{
								s = startBlock;
							}
							else if(startBlock < 0)
							{
								s = blocks.length+startBlock;
							}
						}

						for(int i=s; i<blocks.length; i++)
						{
							++num;
						}
					}
				}
			}
		}

		return num;
	}
}
