/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.read;

import amberstone.file.FileStat;
import amberstone.lang.*;

public class Record
{
	private Selector selector;
	private Col[] fields;
	private String export;

	public Record(Selector selector, Col[] fields)
	{
		this.selector = selector;
		this.fields = fields;
	}

	public void setExport(String export)
	{
		this.export = export;
	}

	public String getExport()
	{
		return this.export;
	}

	public Selector getSelector()
	{
		return this.selector;
	}

	public Col[] getFields()
	{
		return fields;
	}

}