/*
*
*	Copyright 2012 Joel Bernstein
*
*	Licensed under the Apache License, Version 2.0 (the "License");
*	you may not use this file except in compliance with the License.
*	You may obtain a copy of the License at
*
*	 http://www.apache.org/licenses/LICENSE-2.0
*
*	Unless required by applicable law or agreed to in writing, software
*	distributed under the License is distributed on an "AS IS" BASIS,
*	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
*	See the License for the specific language governing permissions and
*	limitations under the License.
*
*/

package amberstone.system;

public class Meter
{
	private int report;
	private long count;
	private long begin;

	public Meter(int report)
	{
		this.report = report;
		begin = System.nanoTime();
	}

	public long getCount()
	{
		return count;
	}

	public void update()
	{
		++count;

		if((count % report) == 0)
		{
			//long end = System.nanoTime();
			//System.out.print("Loaded:");
			System.out.println(count);
			//System.out.print("Interval (millis):");
			//double dif = (double)(end-begin)/(double)1000000;
			//System.out.println(Double.toString(dif));
			//begin = end;
		}
	}
}